Subject: Re: [bug#54798] [PATCH v2 2/4] gnu: awscli: Update to 1.22.90.

From: Maxime Devos <[email-masked]>
Date: Sun, 17 Apr 2022 23:00:16 +0200

Felix Gruber schreef op zo 17-04-2022 om 20:04 [+0000]:
                 (string-append "cmdline = ['" (which "groff") "'"))))))))

While this was present in the original code, awscli-1.21.11 keeps a reference
to groff-1.22.4 and this appears to be a runtime thing, so I think
(which "groff") needs to be (search-input-file inputs "bin/groff") and groff
needs to be moved to 'inputs' instead of 'native-inputs' for cross-compilation
reasons.  python-build-system doesn't support cross-compilation yet but
possibly someday it will ...

Greetings,
Maxime